Skip to main content
POST
/
v1
/
connections
Create Connection
curl --request POST \
  --url https://{tenant}.mindbridge.ai/api/v1/connections \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "DATABRICKS"
}
'
{
  "version": 123,
  "type": "DATABRICKS",
  "id": "<string>",
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": "<string>",
    "userName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
type
enum<string>
required

The type of external connection.

Available options:
DATABRICKS,
MINDBRIDGE_DATA_TABLES

Response

201 - application/json

Created

version
integer<int64>
required

Data integrity version to ensure data consistency.

type
enum<string>
required

The type of external connection.

Available options:
DATABRICKS,
MINDBRIDGE_DATA_TABLES
id
string

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.